<template>
  <div id="deu-header">
    <div id="header" class="deu-header deu-header-footer">
      <header-page-information />
      <div class="deu-header__container container">
        <header-top v-bind="$attrs" />
      </div>
      <header-bottom
        v-bind="$attrs"
        :project="project"
        :menuItemsHook="menuItemsHook" />
    </div>
    <div v-if="useBreadcrumbs" id="deu-header-breadcrumbs">
      <div class="ecl-container">
        <section>
          <Breadcrumbs :items="breadcrumbs" :useRouteMeta="useBreadcrumbsRouteMeta" />

          <!-- div class="divbanner">
            <p class="launchbanner" style="font-size:120%;background-color: #ffca18;">
              <b>{{ $t('message.header.top.improvedbackoffice.banner') }}</b>
            </p>
          </div -->

        </section>
        <hr class="breadcrumbs__horizontal-line m-0">
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import HeaderPageInformation from './HeaderPageInformation.vue';
import HeaderTop from './HeaderTop.vue';
import HeaderBottom from './HeaderBottom.vue';
import Breadcrumbs from './breadcrumbs/Breadcrumbs.vue';

export default defineComponent({
  name: 'deuHeader',
  components: {
    HeaderPageInformation,
    HeaderTop,
    HeaderBottom,
    Breadcrumbs,
  },
  props: {
    useBreadcrumbs: {
      type: Boolean,
      default: false,
    },
    useBreadcrumbsRouteMeta: {
      type: Boolean,
      default: false,
    },
    breadcrumbs: {
      type: Array,
    },
    useSelectedLocale: {
      type: Boolean,
      default: true,
    },
    menuItemsHook: {
      type: Function,
      default: (menuItems: object[]) => menuItems,
    },
    project: {
      type: String,
      default: 'hub',
    },
  },
  data() {
    return {
      menuCollapsed: true,
    };
  },
  created() {
    this.$router.isReady().then(() => {
      if (! this.$route.query.locale) {
        const locale = navigator.language.substring(0, 2);
        this.$i18n.locale = locale;
        this.$router.push({ query: { ...this.$route.query, locale } });
      }
    });
  },
  computed: {
  },
  methods: {
  }
});
</script>

<style lang="scss">
  // Styles shared across this component and child components
  #deu-header {
    .launchbanner {
      width: auto;
      height: auto;
      text-align: center;
      padding: 5px 5px;
      border-radius: 4px;
      margin: 20px auto;
    }
    .deu-btn.deu-btn--primary {
      border: none;
      // padding: .375rem .75rem;
      background-color: $primary;
      border-color: $primary;
      color: #fff;
      cursor: pointer;
      transition:
        color .15s ease-in-out,
        background-color .15s ease-in-out,
        border-color .15s ease-in-out,
        box-shadow .15s ease-in-out;

      &:hover {
        background-color: #196fd2;
        border-color: #196fd2;
        color: #fff;
        cursor: pointer;
      }
    }
  }

  .breadcrumbs__horizontal-line {
    border-top: 1px solid #d9d9d9;
    border-bottom: none;
  }
</style>

<style lang="scss">
@import '../../../src/styles/header.scss';
$deu-active: $highlight;

#deu-header #header #block-deu-branding {
    .deu-logo {
      width: 417px;
      height: auto;

      &--three-rows {
        height: 50px;
        width: auto;
      }
    }
}

#navbar-toggle {
  border-bottom: solid 6px #f2718a;
  background-color: $primary;

  position: sticky;
  z-index: 99;
  top: 0;

}

#deu-header {
  text-align: left;
  font-family: $font-family;
  // line-height: 1.5;

  display: initial;

  .deu-header {
    &__content {
      overflow: hidden;
      display: flex;
      align-items: center;
      padding: 46px 0px 25px;
      position: relative;
    }

    &__language-box {
      margin: 0 40px 0 auto;
      padding: 0;
    }
  }

  // Navigation bar
  .deu-nav {
    display: initial;
  }

  // Mobile view
  @media only screen and (max-width: $laptop) {

    .deu-header {
      &__content {
        flex-wrap: wrap;
      }

      &__branding {
        flex: 0 0 100%;
        width: 100%;
        margin-bottom: 1rem;
      }

      &__language-box {
        margin-left: 0;
        margin-right: 20px;
      }
    }
  }

  .deu-icon {
    font-weight: 900;

    &__home {
      font-size: 14px;
    }

    &__menu-item-arrow-down {
      font-size: .875rem;
      margin-left: 10px;
    }

    &__search {
      font-size: initial;
    }

    &__bars, &__times {
      display: inline-block;
      font-weight: 900;
      line-height: 1;
    }
  }

  @media only screen and (max-width: $mobile) {
    .deu-header {
      &__branding {
        flex: initial;
        width: 33%;
        margin-bottom: 0;
        padding-top: 0!important;
      }

      &__language-box {
        margin-left: auto;
        margin-right: 12px;
      }
    }

    .region-header {
      flex-wrap: nowrap;
      padding: 10px 0;
      overflow: visible;
    }

    .deu-btn {
      border-radius: 100%!important;
      width: 49px;
      height: 49px;
      padding: .75rem 1rem!important;

      span {
        display: none;
      }
    }
  }
}
</style>
